For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Delete Company Attachment

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/attachments/:attachmentId
DELETE
/api/v3/io/companies/:companyId/attachments/:attachmentId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments/attachmentId \
> -H "X-Auth-Token: <apiKey>"
200200 - SUCCESS
1{
2 "code": 200,
3 "data": {},
4 "meta": {
5 "message": "SUCCESS"
6 }
7}
Deletes an attached file from a Company account.
Was this page helpful?
Previous

Add Company Attachment

Next

List Company Permissions

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.
attachmentIdstringRequiredformat: "uuid"
The ID of a file attached to a Company account.

Response

OK
codeinteger
dataobject
metaobject